# Strumenti 

### per editing collaborativo

<!-- .slide: data-transition="zoom" -->

---

## Abinaria

- collettivo di informatiche e informatici in cerca di un piano d'impresa e una forma giuridica;
- 6 persone hanno scelto di vivere nei dintorni di Bologna;
- Software libero e tecnologie appropriate;

---

## Modello di esplorazione

- Nome
- Obiettivo del software
- Feature per cui lo abbiamo selezionato
- Altre caratteristiche
- Pro e Contro
- Costi di gestione
- Note/opinioni
---

### Pro e contro, Criteri

* tradotto in italiano?
* funziona offline?
* app per lo smarpthone?
* ha una comunità ampia?
* è in sviluppo stabile?
* si possono esportare i dati?
* interoperabile con altri software/formati?
* interoperabile su win e mac?
* personalizzabile?

---

## Dato di partenza

FLOSS: software libero e con codice sorgente aperto

---

## Domande?

## Iniziamo? <!-- .element: class="fragment" -->


---

# Etherpad

* "a highly customizable Open Source online editor providing collaborative editing in really real-time"

--

## CARATTERISTICA principale

possibilità di lavorare online su un documento di testo, tra piu' persone in contemporanea
 
--

## Etherpad

![demoPicture](/images/etherpad/etherpad1.jpg)

https://github.com/ether/etherpad-lite/wiki/Sites-that-run-Etherpad-Lite


--

## altre caratteristiche

* Formattazione del testo
* esportazione e importazione documenti
* cronologia delle modifiche
* chat integrata
* commenti
* in sviluppo: videochat integrata https://video.etherpad.org/


--


### valutazioni

<small>
****

|Pro e contro|si|no|
|-|-|-|
|tradotto in italiano?|si*| |
|funziona offline?| |no|
|app per lo smarpthone?|si| |
|ha una comunità ampia? >=1000pp|si| |
|è in sviluppo stabile?|si||
|si possono esportare i dati?|si||
|interoperabile con altri software/formati?|||
|interoperabile su win e mac?|web||
|personalizzabile?|si|no|

****
</small>

--

## hosting immediato 

Ho trovato molti servizi che accettano donazioni, cryptpad.fr offre funzionalità orientate a gruppi di lavoro a pagamento

## Note

* Funzionalità aggiuntive sotto forma di plugin, le piattaforme che offrono etherpad sono disallineate a livello di versione e plugin installati.
* Molto intuitivo nelle funzionalità base, necessari accordi di base e convenzioni del gruppo di lavoro per utilizzarlo al meglio.
* https://f-droid.org/en/packages/com.mikifus.padland/

---

# Ethercalc
un foglio di calcolo per il web

--

## CARATTERISTICA principale

possibilità di lavorare online su un foglio di calcolo, tra piu' persone in contemporanea
 
--

## Ethercalc

![demoPicture](/images/ethercalc/ethercalc1.jpg)





--

## altre caratteristiche

* formattazione
* esportazione in vari formati
* condivisione dei soli dati
* grafici e formule complesse


--


### valutazioni

<small>
****

|Pro e contro|si|no|
|-|-|-|
|tradotto in italiano?| |no|
|funziona offline?| |no|
|app per lo smarpthone?| |no|
|ha una comunità ampia? >=1000pp|si|no|
|è in sviluppo stabile?|si||
|si possono esportare i dati?|si||
|interoperabile con altri software/formati?|||
|interoperabile su win e mac?|web||
|personalizzabile?|si|no|

****
</small>

--

## hosting 

* framasoft
* self-hosting

## Note

* EtherCalc ha solo una piccola parte delle funzionalita di software come LibreOffice Calc o Gnumeric, ma copre molte delle necessità di base di un foglio di calcolo.

* L'ambiente poco intuitivo richiede un minimo sforzo inziale.


